package com.knauf.ejb.stateful;

import java.rmi.RemoteException;
import javax.ejb.CreateException;
import javax.ejb.EJBHome;

/**
 * Remote-Home-Interface fr Geometric-Model-Store-Bean (Stateful Session Bean).
 * @author  Wolfgang Knauf
 */

public interface GeometricModelStoreHome extends EJBHome
{
  /**Erzeugen einer Bean.
   * @return Das Remote-Interface der Bean.
   * @exception CreateException Fehler beim ERzeugen
   * @exception RemoteException Netzwerkfehler.
   */
  public GeometricModelStore create() throws CreateException, RemoteException;
}